"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeEnv = makeEnv;
const error_1 = require("@pnpm/error");
const env_path_1 = require("@pnpm/env.path");
const path_1 = __importDefault(require("path"));
function makeEnv(opts) {
    for (const prependPath of opts.prependPaths) {
        if (prependPath.includes(path_1.default.delimiter)) {
            // Unfortunately, there is no way to escape the PATH delimiter,
            // so directories added to the PATH should not contain it.
            throw new error_1.PnpmError('BAD_PATH_DIR', `Cannot add ${prependPath} to PATH because it contains the path delimiter character (${path_1.default.delimiter})`);
        }
    }
    const pathEnv = (0, env_path_1.prependDirsToPath)(opts.prependPaths);
    return {
        ...process.env,
        ...opts.extraEnv,
        npm_config_user_agent: opts.userAgent ?? 'pnpm',
        [pathEnv.name]: pathEnv.value,
    };
}
//# sourceMappingURL=makeEnv.js.map